Skip to main content
POST
Text responses for project

Description

Retrieve responses for all text questions in a project.

Payload

where:
  • fromDate: start date of responses to query. (Required).
  • toDate: end date of responses to query. (Required).
  • filter: array of questions to filter responses by. (Optional).
  • questionProjection: array of unique identifiers of text questions. Each question ID is prepended with a “q”. (Required).

Responses

200 OK

where:
  • projectId: unique identifier of the project.
  • fromDate: start date of responses to query.
  • toDate: end date of responses to query.
  • filter: array of questions to filter responses by.
  • responses: object mapping unique question identifiers to arrays of text responses.

400 Bad Request

Missing or invalid required fields.

401 Unauthorized

Invalid authorization.

404 Not Found

Resource not found.

500 Internal Server Error

Error occurred in text-service microservice.
Query Parameters

Authorizations

Authorization
string
header
required

Access token obtained from the m2m-token endpoint.

Headers

Authorization
string
required

Query Parameters

projectId
string

Body

application/json

The body is of type object.

Response

Text responses for project

The response is of type object.